/*
 *  Copyright 2020-2022 Yuntu Microelectronics co.,ltd
 *  All rights reserved.
 *
 *  YUNTU Confidential. This software is owned or controlled by YUNTU and may only be
 *  used strictly in accordance with the applicable license terms. By expressly
 *  accepting such terms or by downloading, installing, activating and/or otherwise
 *  using the software, you are agreeing that you have read, and that you agree to
 *  comply with and are bound by, such license terms. If you do not agree to be
 *  bound by the applicable license terms, then you may not retain, install,
 *  activate or otherwise use the software. The production use license in
 *  Section 2.3 is expressly granted for this software.
 *
 * @file peripherals_osire_config.h
 * @brief
 *
 */

#ifndef __PERIPHERALS_OSIRE_CONFIG_H__
#define __PERIPHERALS_OSIRE_CONFIG_H__

#include "osire_driver.h"
#include "pins_driver.h"

#define NUMBER_OF_STRIPS_SPI    (4U)
#define NUMBER_OF_INTERFACES    (1U)

extern void OSIRE_Callback(OSIRE_CommEventType state, uint8_t stripNr);

extern OSIRE_ConfigType osire[NUMBER_OF_INTERFACES];

#endif /* __PERIPHERALS_OSIRE_CONFIG_H__ */